Subject: MOU
From: Raul Tell <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: info transpordiamet <[email-masked]>
Date: Wed, 17 Sep 2025 12:39:52 +0300

Dear Mr. Batalla,

I would like to ask you whether the Philippine Maritime Administration (MARINA) is interested in concluding an agreement between the Republic of the Philippines and the Republic of Estonia on the mutual recognition of seafarers sea-going documents in accordance with STCW Regulation I/10. The aim is to expand the international labor market for seafarers and satisfy the interests of shipowners in manning their ships. Please let me know if your Administration is interested in the agreement, so I can inform our Administrations’ management and we can commence preparing a draft text of the agreement.

Yours sincerely,

Raul Tell

Head of Seafarer’s Certification Department

Mobile: +372 5166299

www.transpordiamet.ee

Valge 4 / 11413 Tallinn / Estonia

Estonian Transport Administration